Package jnr.constants.platform.openbsd

# Enum OpenFlags

java.lang.Object
java.lang.Enum<OpenFlags>
jnr.constants.platform.openbsd.OpenFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenFlags>`, `java.lang.constant.Constable`, `Constant`

public enum OpenFlags extends Enum<OpenFlags> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`O_ACCMODE`
`O_APPEND`
`O_ASYNC`
`O_CLOEXEC`
`O_CREAT`
`O_DIRECTORY`
`O_EXCL`
`O_EXLOCK`
`O_FSYNC`
`O_NOCTTY`
`O_NOFOLLOW`
`O_NONBLOCK`
`O_RDONLY`
`O_RDWR`
`O_SHLOCK`
`O_SYNC`
`O_TRUNC`
`O_WRONLY`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static OpenFlags`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static OpenFlags[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### O_RDONLY

public static final OpenFlags O_RDONLY

### O_WRONLY

public static final OpenFlags O_WRONLY

### O_RDWR

public static final OpenFlags O_RDWR

### O_ACCMODE

public static final OpenFlags O_ACCMODE

### O_NONBLOCK

public static final OpenFlags O_NONBLOCK

### O_APPEND

public static final OpenFlags O_APPEND

### O_SYNC

public static final OpenFlags O_SYNC

### O_SHLOCK

public static final OpenFlags O_SHLOCK

### O_EXLOCK

public static final OpenFlags O_EXLOCK

### O_ASYNC

public static final OpenFlags O_ASYNC

### O_FSYNC

public static final OpenFlags O_FSYNC

### O_NOFOLLOW

public static final OpenFlags O_NOFOLLOW

### O_CREAT

public static final OpenFlags O_CREAT

### O_TRUNC

public static final OpenFlags O_TRUNC

### O_EXCL

public static final OpenFlags O_EXCL

### O_DIRECTORY

public static final OpenFlags O_DIRECTORY

### O_NOCTTY

public static final OpenFlags O_NOCTTY

### O_CLOEXEC

public static final OpenFlags O_CLOEXEC

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static OpenFlags[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static OpenFlags valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<OpenFlags>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`